# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/interrupt-controller/fsl,qe-ports-ic.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale QUICC Engine I/O Ports Interrupt Controller

maintainers:
  - Christophe Leroy (CS GROUP) <chleroy@kernel.org>

properties:
  compatible:
    enum:
      - fsl,mpc8323-qe-ports-ic

  reg:
    maxItems: 1

  interrupt-controller: true

  '#address-cells':
    const: 0

  '#interrupt-cells':
    const: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupt-controller
  - '#address-cells'
  - '#interrupt-cells'
  - interrupts

additionalProperties: false

examples:
  - |
    interrupt-controller@c00 {
      compatible = "fsl,mpc8323-qe-ports-ic";
      reg = <0xc00 0x18>;
      interrupt-controller;
      #address-cells = <0>;
      #interrupt-cells = <1>;
      interrupts = <74 0x8>;
      interrupt-parent = <&ipic>;
    };
